using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Threading;

namespace VALCam_SDK_2005_Sample_1
{
    public partial class LiveAdjustments : Form
    {
        public Form1 Form1Ptr;
        public LiveAdjustments()
        {
            InitializeComponent();
        }

        private void LiveAdjustments_FormClosed(object sender, FormClosedEventArgs e)
        {
            Form1.bDialogOpen = false;
        }

        private void hScrollBarLiveBrightness_Scroll(object sender, ScrollEventArgs e)
        {
            Form1.iLiveBrightnessLevel=(int)hScrollBarLiveBrightness.Value;
            Form1.VALCam_Control(Form1.VC_SetLiveBrightness, Form1.iLiveBrightnessLevel, 0, 0, 0);
        }

        private void LiveAdjustments_Load(object sender, EventArgs e)
        {
            
            numericUpDownLiveBlue.Value = Form1.iBlueGain;
            numericUpDownLiveRed.Value = Form1.iRedGain;
            numericUpDownLiveColor.Value = Form1.iColorGain;
            hScrollBarLiveBrightness.Value = Form1.iLiveBrightnessLevel;
        }

        

        private void numericUpDownLiveBlue_ValueChanged(object sender, EventArgs e)
        {
            Form1.iRedGain =(int) numericUpDownLiveBlue.Value;
            Form1.VALCam_Control(Form1.VC_SetBlueLive, Form1.iBlueGain, 0, 0,0);

        }

        private void numericUpDownLiveRed_ValueChanged(object sender, EventArgs e)
        {
            Form1.iRedGain=(int)numericUpDownLiveRed.Value;
            Form1.VALCam_Control(Form1.VC_SetRedLive, Form1.iRedGain, 0, 0,0);
        }

        private void btnWhiteBalance_Click(object sender, EventArgs e)
        {
            Form1.VALCam_Control(Form1.VC_AutoWhite, 0, 0, 0, 0);
            Thread.Sleep(200);
            Form1.iRedGain=0;
            Form1.iBlueGain=0;
            numericUpDownLiveBlue.Value=Form1.iBlueGain;
            numericUpDownLiveRed.Value=Form1.iRedGain;
            Form1.VALCam_Control(Form1.VC_AutoWhite, 0, 0, 0, 0);

        }

        private void numericUpDownLiveColor_ValueChanged(object sender, EventArgs e)
        {
            Form1.iColorGain = (int)numericUpDownLiveColor.Value;
            Form1.VALCam_Control(Form1.VC_SetColorLive, Form1.iColorGain, 0, 0, 0);
        }

        private void btnDefaultLiveColor_Click(object sender, EventArgs e)
        {
            Form1.iColorGain = 72;
            Form1.VALCam_Control(Form1.VC_SetColorLive, Form1.iColorGain, 0, 0, 0);
            numericUpDownLiveColor.Value = Form1.iColorGain;
            
        }
    }
}